Bug 467209 - perl-Filesys-Df is missing from comps-rhel[45]-rhnsat53-embeddeddb.xml
perl-Filesys-Df is missing from comps-rhel[45]-rhnsat53-embeddeddb.xml
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Milan Zázrivec
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2008-10-16 08:17 EDT by Milan Zázrivec
Modified: 2009-09-10 14:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2008-10-16 08:17:50 EDT
Description of problem:
perl-Filesys-Df package is missing from:
* comps-rhel4-rhnsat53-embeddeddb.xml
* comps-rhel5-rhnsat53-embeddeddb.xml

This effectively means that perl-Filesys-Df is not being included into
Satellite 5.3.0 composes during compose build. This package is required
by spacewalk-dobby (previously known as rhn-dobby) and needs to be included
in EmbeddedDB subdirectory.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20081014.0
Satellite-5.3.0-RHEL4-re20081014.0

Additional info:
In Satellite 5.3.0 perl-Filesys-Statvfs-Df was replaced by perl-Filesys-Df
package (provides same functionality as the former one).
Comment 1 Milan Zázrivec 2008-10-16 10:35:27 EDT
perl-Filesys-Df (or perl-Filesys-Statvfs-Df) should not be put to
comps-rhel[45]-rhnsat53.xml. This package is distributed with emebedded
iso only (i.e. it should be only present in EmbeddedDB subdir)
Comment 2 Dennis Gilmore 2008-10-18 22:12:16 EDT
Why was this renamed?  where was it discussed?  Just wanting to understand the background on the change.
Comment 3 Dennis Gilmore 2008-10-18 22:24:57 EDT
[dgilmore@athosian comps]$ cvs diff -u                                                                                   
cvs diff: Diffing .                                                                                                      
Index: comps-rhel4-rhnsat53-embeddeddb.xml                                                                               
===================================================================                                                      
RCS file: /cvs/devel/comps/comps-rhel4-rhnsat53-embeddeddb.xml,v                                                         
retrieving revision 1.2                                                                                                  
diff -u -r1.2 comps-rhel4-rhnsat53-embeddeddb.xml                                                                        
--- comps-rhel4-rhnsat53-embeddeddb.xml 19 Sep 2008 17:06:08 -0000      1.2                                              
+++ comps-rhel4-rhnsat53-embeddeddb.xml 19 Oct 2008 02:23:25 -0000                                                       
@@ -16,6 +16,8 @@                                                                                                        
        <packagereq type="default">oracle-server-i386</packagereq>                                                       
        <packagereq type="default">oracle-server-x86_64</packagereq>                                                     
        <packagereq type="default">oracle-server-s390x</packagereq>                                                      
+       <packagereq type="default">spacewalk-dobby</packagereq>                                                          
+       <packagereq type="default">perl-Filesys-Df</packagereq>                                                          
     </packagelist>                                                                                                      
   </group>                                                                                                              
 </comps>                                                                                                                
Index: comps-rhel4-rhnsat53.xml                                                                                          
===================================================================                                                      
RCS file: /cvs/devel/comps/comps-rhel4-rhnsat53.xml,v                                                                    
retrieving revision 1.9                                                                                                  
diff -u -r1.9 comps-rhel4-rhnsat53.xml                                                                                   
--- comps-rhel4-rhnsat53.xml    14 Oct 2008 19:55:51 -0000      1.9                                                      
+++ comps-rhel4-rhnsat53.xml    19 Oct 2008 02:23:25 -0000                                                               
@@ -234,7 +234,6 @@                                                                                                      
        <packagereq type="default">spacewalk-java-config</packagereq>                                                    
        <packagereq type="default">spacewalk-backend-package-push-server</packagereq>                                    
        <packagereq type="default">perl-PXT-Config</packagereq>                                                          
-       <packagereq type="default">spacewalk-dobby</packagereq>                                                          
        <packagereq type="default">spacewalk-moon</packagereq>                                                           
        <packagereq type="default">spacewalk-grail</packagereq>                                                          
        <packagereq type="default">spacewalk-sniglets</packagereq>                                                       
@@ -265,7 +264,6 @@                                                                                                      
        <packagereq type="default">spacewalk-backend-applet</packagereq>                                                 
        <packagereq type="default">rhncfg-management</packagereq>                                                        
        <packagereq type="default">jakarta-commons-configuration</packagereq>                                            
-       <packagereq type="default">perl-Filesys-Statvfs-Df</packagereq>                                                  
        <packagereq type="default">rhn-solaris-bootstrap</packagereq>                                                    
        <packagereq type="default">rhn_solaris_bootstrap_5_2_0_2</packagereq>                                            
     </packagelist>                                                                                                      
Index: comps-rhel5-rhnsat53-embeddeddb.xml                                                                               
===================================================================                                                      
RCS file: /cvs/devel/comps/comps-rhel5-rhnsat53-embeddeddb.xml,v                                                         
retrieving revision 1.2                                                                                                  
diff -u -r1.2 comps-rhel5-rhnsat53-embeddeddb.xml
--- comps-rhel5-rhnsat53-embeddeddb.xml 19 Sep 2008 17:06:08 -0000      1.2
+++ comps-rhel5-rhnsat53-embeddeddb.xml 19 Oct 2008 02:23:25 -0000
@@ -16,6 +16,8 @@
        <packagereq type="default">oracle-server-i386</packagereq>
        <packagereq type="default">oracle-server-x86_64</packagereq>
        <packagereq type="default">oracle-server-s390x</packagereq>
+       <packagereq type="default">spacewalk-dobby</packagereq>
+       <packagereq type="default">perl-Filesys-Df</packagereq>
     </packagelist>
   </group>
 </comps>
Index: comps-rhel5-rhnsat53.xml
===================================================================
RCS file: /cvs/devel/comps/comps-rhel5-rhnsat53.xml,v
retrieving revision 1.9
diff -u -r1.9 comps-rhel5-rhnsat53.xml
--- comps-rhel5-rhnsat53.xml    14 Oct 2008 19:55:51 -0000      1.9
+++ comps-rhel5-rhnsat53.xml    19 Oct 2008 02:23:25 -0000
@@ -172,7 +172,6 @@
        <packagereq type="default">spacewalk-java-config</packagereq>
        <packagereq type="default">spacewalk-backend-package-push-server</packagereq>
        <packagereq type="default">perl-PXT-Config</packagereq>
-       <packagereq type="default">spacewalk-dobby</packagereq>
        <packagereq type="default">spacewalk-moon</packagereq>
        <packagereq type="default">spacewalk-grail</packagereq>
        <packagereq type="default">spacewalk-sniglets</packagereq>
@@ -203,7 +202,6 @@
        <packagereq type="default">spacewalk-backend-applet</packagereq>
        <packagereq type="default">rhncfg-management</packagereq>
        <packagereq type="default">jakarta-commons-configuration</packagereq>
-       <packagereq type="default">perl-Filesys-Statvfs-Df</packagereq>
        <packagereq type="default">rhn-solaris-bootstrap</packagereq>
        <packagereq type="default">rhn_solaris_bootstrap_5_2_0_2</packagereq>
     </packagelist>
cvs diff: Diffing 6.2
cvs diff: Diffing po
Comment 4 Milan Zázrivec 2008-10-19 05:49:41 EDT
(In reply to comment #2)
> Why was this renamed?  where was it discussed?  Just wanting to understand the
> background on the change.

I'm not sure whether this has ever been discussed in public. This is the change
causing perl-Filesys-Statvfs-Df to disappear:
http://git.fedorahosted.org/git/?p=spacewalk.git;a=commitdiff;h=615f6ce22a1ab24ad32f21afb2b7516b2385d061

Person doing the change above should have requested removing 
perl-Filesys-Statvfs-Df from comps via bugzilla.

Technical reasons leading to the change are unknown to me.
Comment 5 Milan Zázrivec 2008-10-22 06:11:46 EDT
Verified:
$ grep -c dobby comps-rhel[45]-rhnsat53.xml
comps-rhel4-rhnsat53.xml:0
comps-rhel5-rhnsat53.xml:0
$ grep -c dobby comps-rhel[45]-rhnsat53-embeddeddb.xml
comps-rhel4-rhnsat53-embeddeddb.xml:1
comps-rhel5-rhnsat53-embeddeddb.xml:1
Comment 6 Milan Zázrivec 2008-10-22 06:16:00 EDT
Previous comment should have gone into bz #467211 (my apologies).

Correct comment confirming the change in comps files:
$ grep -c perl-Filesys-Df comps-rhel[45]-rhnsat53.xml
comps-rhel4-rhnsat53.xml:0
comps-rhel5-rhnsat53.xml:0
$ grep -c perl-Filesys-Df comps-rhel[45]-rhnsat53-embeddeddb.xml
comps-rhel4-rhnsat53-embeddeddb.xml:1
comps-rhel5-rhnsat53-embeddeddb.xml:1
Comment 8 Brandon Perkins 2009-09-10 14:53:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.